// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
	event.remove({output: 'xreliquary:alkahestry_tome'})
	event.remove({output: 'extrastorage:netherite_crafter'})
	event.remove({output: 'extrastorage:diamond_crafter'})
	event.remove({output: 'compactmachines:machine_tiny'})
	event.remove({output: 'compactmachines:machine_small'})
	event.remove({output: 'compactmachines:machine_normal'})
	event.remove({output: 'compactmachines:machine_large'})
	event.remove({output: 'compactmachines:machine_giant'})
	event.remove({output: 'compactmachines:machine_maximum'})
	event.remove({output: 'envirocore:amplification_modifier'})
	event.remove({mod: 'chunkloaders'})
	event.remove({mod: 'tiab'})
	event.remove({mod: 'botanypots'})
	event.remove({output: 'exnihilosequentia:end_cake'})
	event.remove({output: 'compactmachines:wall'})
	event.remove({output: 'envirocore:structure_panel'})
	event.remove({output: 'envirocore:clear_structure_panel'})
	event.remove({output: 'thermal:machine_insolator'})
	event.remove({output: 'silentgear:metal_alloyer'})
	event.remove({output: 'rftoolsbase:machine_frame'})
	event.remove({output: 'tconstruct:efln_ball'})
	event.remove({output: 'industrialforegoing:infinity_nuke'})
	event.remove({output: 'pipez:improved_upgrade'})
	event.remove({output: 'pipez:advanced_upgrade'})
	event.remove({output: 'pipez:ultimate_upgrade'})
	event.remove({output: 'gocurrency:vending'})
	event.remove({output: 'cyclic:uncrafter'})
	event.remove({output: 'cyclic:melter'})
	event.remove({output: 'cyclic:solidifier'})
	event.remove({output: 'cyclic:item_pipe'})
	event.remove({output: 'cyclic:fluid_pipe'})
	event.remove({output: 'cyclic:energy_pipe'})
	event.remove({output: 'cyclic:gem_amber'})
	event.remove({output: 'cyclic:gem_obsidian'})
	event.remove({output: 'envirotech:erodium_void_miner_ccu'})
	event.remove({output: 'envirotech:kyronite_void_miner_ccu'})
	event.remove({output: 'envirotech:pladium_void_miner_ccu'})
	event.remove({output: 'envirotech:ionite_void_miner_ccu'})
	event.remove({output: 'envirotech:aethium_void_miner_ccu'})
	event.remove({output: 'envirotech:nanorite_void_miner_ccu'})
	event.remove({output: 'envirotech:xerothium_void_miner_ccu'})
	event.remove({output: 'mysticalagriculture:master_infusion_crystal'})
	event.remove({output: 'draconicevolution:wyvern_chestpiece'})
	event.remove({output: 'industrialforegoing:hydroponic_bed'})
})

onEvent('recipes', event => {
	event.shaped('1x tconstruct:ichor_slime_dirt', [
    '   ',
    ' S ',
    ' A '
  ], {
    S: 'tconstruct:ichor_slime_ball',
    A: 'minecraft:dirt'
  })
  event.shaped('1x clickmachine:auto_clicker', [
    'SSS',
    'S S',
    'SAS'
  ], {
    S: 'minecraft:cobblestone',
    A: 'minecraft:redstone_block'
  })
  event.shaped('1x tiab:timeinabottle', [
    'ASB'
  ], {
    S: 'minecraft:clock',
    A: 'minecraft:glass_bottle',
	B: 'extendedcrafting:the_ultimate_ingot'
  })
  event.shaped('2x botanypots:hopper_botany_pot', [
    'ASA',
    'AAA',
    ' B '
  ], {
    S: 'kubejs:anchor_core',
    A: 'minecraft:terracotta',
	B: 'powah:energy_hopper_hardened'
  })
  event.shaped('2x envirocore:mica', [
    'BBB',
    'ASA',
    'BBB'
  ], {
    S: 'extendedcrafting:the_ultimate_ingot',
    A: 'powah:crystal_nitro',
	B: 'astralsorcery:colored_lens_spectral'
  })
   event.shaped('4x compactmachines:wall', [
    ' S ',
    ' A '
  ], {
    S: 'minecraft:redstone',
    A: 'mekanism:block_steel'
  })
   event.shaped('1x envirocore:structure_panel', [
    'ABA',
    'BSB',
    'ABA'
  ], {
    S: 'minecraft:quartz',
    A: 'compactmachines:wall',
	B: 'envirocore:obsidian_plate'
  })
   event.shaped('1x mysticalagriculture:master_infusion_crystal', [
    'ABA',
    'BSB',
    'ABA'
  ], {
    S: 'mysticalagradditions:insanium_gemstone',
    A: 'mysticalagriculture:prosperity_shard',
	B: 'mysticalagradditions:insanium_essence'
  })
  	event.shaped('1x rftoolsbase:machine_frame', [
    'SBS',
    'ACA',
    'SBS'
  ], {
    S: 'minecraft:iron_ingot',
    A: 'minecraft:gold_nugget',
	B: '#forge:dyes/blue',
	C: 'industrialforegoing:machine_frame_pity'
})
event.smithing('pipez:improved_upgrade', 'pipez:basic_upgrade', 'minecraft:gold_ingot')
event.smithing('pipez:advanced_upgrade', 'pipez:improved_upgrade', 'minecraft:diamond')
event.smithing('pipez:ultimate_upgrade', 'pipez:advanced_upgrade', 'minecraft:netherite_scrap')
  event.custom({"type": "thermal:smelter","ingredient": [{"item": "minecraft:fire_charge"},{"item": "minecraft:redstone"},{"item": "minecraft:magma_block"}],"result": {"item": "cyclic:gem_amber","count": 1},"energy": 12000,"experience": 0.00})
  event.custom({"type": "thermal:smelter","ingredient": [{"item": "mekanism:ingot_refined_obsidian"},{"item": "cyclic:gem_amber"},{"item": "minecraft:wither_rose"}],"result": {"item": "cyclic:gem_obsidian","count": 1},"energy": 12000,"experience": 0.00})
 
})